body {
    font-family: 'Georgia', serif; 
    background-color: #f7f7f7; 
    margin: 0;
    padding: 0;
    text-align: justify;
}

html, body {
    overflow-x: hidden; 
}


.top-bar, .dropdown-content {
    font-family: 'Montserrat', serif;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    font-size: 1.1vw; 
    border-radius: 5px;
    max-width: 100%;
    text-shadow: 2px 2px 2px rgba(114, 101, 101, 0.5);
    margin: 0;
}

.top-bar img {
    height: 14px;
    margin-right: 5px; 
}

.top-bar span {
    margin-right: 15px; 
}

.header {
    background-color: black; 
    color: grey;
    padding: 2px;
}

video {
    width: 25%;
}

nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 20px;
    font-family: 'Montserrat', serif;
    font-size: 1.5vw;
    margin-bottom: 10px;
    border-radius: 5px;
    text-shadow: 2px 2px 2px rgba(114, 101, 101, 0.5);
}

nav ul li a {
    color: grey;
    text-decoration: none;
    font-size: 1.2vw;
}

.video-title-container {
    display: flex;
    align-items: center;
    justify-content: flex-start; 
}

main {
    padding: 20px;
    max-width: 800px;
    margin: 50px auto; 
    background: white;
    border-radius: 8px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

h1 {
    font-size: 3vw;
    color: grey;
    background-color: black;
    border-radius: 5px;
    text-shadow: 2px 2px 2px rgba(114, 101, 101, 0.5);
}

h1:hover {
    text-shadow: 2px 2px 5px rgba(170, 144, 144, 0.5);
}

h2, h3 {
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    color: black; 
    transition: text-shadow 0.3s ease-in-out; 
}

h2:hover, h3:hover {
    text-shadow: 4px 4px 10px rgba(0, 0, 0, 0.7); 
}

p {
    color: #555;
    line-height: 1.6;
    transition: opacity 0.5s ease; 
}

form {
    background-color: #ffffff; 
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

label {
    display: block;
    margin: 10px 0 5px;
    font-weight: bold;
    color: grey; 
}

input[type="text"],
input[type="tel"],
select {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-bottom: 10px;
    transition: border-color 0.3s; 
}

input[type="text"]:focus,
input[type="tel"]:focus {
    border-color: grey; 
}

input[type="submit"] {
    background-color: grey; 
    color: white;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s, transform 0.2s; 
    margin-top: 21px;
}

input[type="submit"]:hover {
    background-color: grey; 
    transform: scale(1.05); 
}

#otherReason {
    display: none;
}

footer {
    text-align: center;
    justify-content: center;
    padding: 10px;
    background-color: black;
    position: relative;
    width: 100%;
    margin-top: 20px;
}

a {
    color: grey; 
    text-decoration: none;
    transition: color 0.3s; 
}

a:hover {
    color: grey; 
    text-decoration: underline;
}

.decorative-line {
    height: 2px;
    background: grey;
    margin: 20px 0;
}

.full-width-image {
    width: 52vw; 
    height: auto; 
    display: block; 
    margin: 0; 
    transition: opacity 0.5s ease;
}

.hidden {
    opacity: 0; 
}

.fade-in {
    animation: fadeIn 1s ease-in-out forwards;
}

.fade-out {
    animation: fadeOut 1s ease-in-out forwards;
}

.dropdown {
    cursor: pointer;
    padding: 10px;
    background-color: grey;
    color: white;
    margin: 5px 0;
    text-align: left;
    outline: none;
    font-size: 1em;
    width: 90%;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 10px;
    transition: border-color 0.3s; 
    position: relative;
}

.dropdown::after {
    content: '▼';
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%); 
    font-size: 0.6em; 
}

.dropdown-content {
    display: none;
    padding: 10px;
    margin-left: 20px;
    margin-right: 80px;
    background-color: #f1f1f1;
    border-radius: 4px;
}

.dropdown:hover {
    background-color: #313334; 
}

.dropdown.active + .dropdown-content {
    display: block; 
}

.whatsapp-button {
    position: fixed; 
    bottom: 20px; 
    right: 20px; 
    width: 60px; 
    height: 60px; 
    background-color: #25D366;
    border-radius: 50%; 
    display: flex; 
    justify-content: center;
    align-items: center;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3); 
    z-index: 1000; 
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}


@media (max-width: 768px) {
    body {
      
        padding: 10px;
    }

    .top-bar {
        justify-content: center;
        font-size: 1.4vw;
    }
 
    .top-bar a {
        font-size: 3vw;
    }

    .top-bar img {
        height: 10px; 
    }

    .top-bar h1 {
        font-size: 4.5vw; 
        color: grey;
        background-color: black;
        border-radius: 5px;
        text-shadow: 2px 2px 2px rgba(114, 101, 101, 0.5);
    }
    h1:hover {
        text-shadow: 2px 2px 5px rgba(170, 144, 144, 0.5);
    }
    h2 {
        font-size: 4vw; 
        text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
        color: black; 
        transition: text-shadow 0.3s ease-in-out; 
    }
    h3 {
        font-size: 3.5vw; 
        text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
        color: black; 
        transition: text-shadow 0.3s ease-in-out;
    }
    h2:hover, h3:hover {
        text-shadow: 4px 4px 10px rgba(0, 0, 0, 0.7); 
    }

    nav ul { 
        gap: 10px;
    }

    nav ul li {
        text-align: center;
    }

    .full-width-image {
        max-width: 100%; 
        display: block;
        margin: 0 auto; 
    }

    form {
        padding: 15px;
        font-size: 2.9vw ;
    }

    input[type="text"],
    input[type="tel"],
    select {
        font-size: 2.9vw;
    }

    input[type="submit"] {
        font-size: 2.9vw;
        padding: 12px;
    }

    .contact-info span {
        text-shadow: 2px 2px 2px rgba(114, 101, 101, 0.5);
        font-size: 2.2vw;
    }

    footer {
        font-size: 0.9em;
        text-align: center;
        justify-content: center;
    }

    p {
        font-size: 3.3vw;
        color: #555;
        line-height: 1.6;
        transition: opacity 0.5s ease;
        
    }

    video {
        width: 30%;
    }

    .dropdown-content li {
        font-size: 3vw;
        text-decoration: none;
        transition: color 0.3s; 
    }

    .top-bar nav ul {
        flex-direction: column;
        align-items: center;
    }

   

}